- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#body.GetWebhookLogsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#body.aspect_1)
- [LogLevel](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#LogLevel)
- [WebhookLog](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#WebhookLog)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#WebhookLog.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.webhooks.getLogs

Retrieves processing logs for a given webhook. Use this method to troubleshoot ingestion issues by examining recent activity, error messages, and processing status for received requests.

### HTTP request

`GET https://{endpoint}/v1beta/{name}:getLogs`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the Webhook to get logs for. Format: projects/{project}/locations/{location}/instances/{instance}/webhooks/{webhook}:getLogs |

### Query parameters

| Parameters ||
|---|---|
| `minimumLogLevel` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#LogLevel`)`` Optional. Optional filter to only return logs with this minimum severity level. |

### Request body

The request body must be empty.

### Response body

Response message for webhooks.getLogs.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "logs": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#WebhookLog`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `logs[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#WebhookLog`)`` Optional. The list of logs for the webhook that matched the requested filter. |
| `nextPageToken` | `string` Optional. A token to retrieve the next page of results. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.webhooks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LogLevel

Log level.

| Enums ||
|---|---|
| `LOG_LEVEL_UNSPECIFIED` | Unspecified log level. |
| `VERBOSE` | Verbose log level. |
| `DEBUG` | Debug log level. |
| `INFO` | Info log level. |
| `WARN` | Warn log level. |
| `ERROR` | Error log level. |

## WebhookLog

Response message for WebhookLog.

| JSON representation |
|---|
| ``` { "rawJson": string, "createTime": string, "message": string, "level": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#LogLevel`) } ``` |

| Fields ||
|---|---|
| `rawJson` | `string` Required. The log full json. |
| `createTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. The log creation time. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `message` | `string` Required. The log message. |
| `level` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.webhooks/getLogs#LogLevel`)`` Required. The log level. |